package com.hoolai.access.demo;

import android.app.Application;
import android.content.Context;
import android.content.res.Configuration;
import com.hoolai.access.open.fastaccess.channel.FastSdk;

public class GameApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        //如使用了Multidex 需要指定 hoolaisdk相关代码到主dex中
        //-keep com.hoolai.**
        FastSdk.onApplicationCreate(this);
    }

    @Override
    public void onTerminate() {
        super.onTerminate();
        FastSdk.onTerminate(this);
    }

    @Override
    public void onConfigurationChanged(Configuration newConfig) {
        super.onConfigurationChanged(newConfig);
        FastSdk.onConfigurationChanged(this, newConfig);

    }

    @Override
    protected void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        FastSdk.attachBaseContext(this, context);
    }
}
